#NoTrayIcon
#Region ;****  ACNWrapper_GUI ****
#AutoIt3Wrapper_icon=Tetris.ico
#EndRegion ;****  ACNWrapper_GUI ****
;#AutoIt3Wrapper_Res_Comment=˹
;#AutoIt3Wrapper_Res_Description=˹_ThornBird
;#AutoIt3Wrapper_Res_Fileversion=1.0.0.0
;#AutoIt3Wrapper_Res_LegalCopyright=Ȩ (C)2010 ThornBird



#include <GUIConstants.au3>
#include <GuiListView.au3>
#include <GuiMenu.au3>
#include <WinAPIEx.au3>

#include "TetrisLogic.au3"



Local $hWindow, $hGameMenu, $hHelpMenu, $hMenuItem1, $hMenuItem2, $hMenuItem3, $hMenuItem4, _
		$hMenuItem5, $hMenuItem6, $hMenuItem7, $hMenuItem8, $iMsg

$hWindow = GUICreate("˹", 500, 500, 100, 100)
$hGameMenu = GUICtrlCreateMenu("Ϸ(&G)")
$hHelpMenu = GUICtrlCreateMenu("(&H)")
$hMenuItem1 = GUICtrlCreateMenuItem("Ϸ(&N)", $hGameMenu)
$hMenuItem2 = GUICtrlCreateMenuItem("", $hGameMenu)
$hMenuItem3 = GUICtrlCreateMenuItem("ͳϢ(&S)", $hGameMenu)
$hMenuItem4 = GUICtrlCreateMenuItem("", $hGameMenu)
$hMenuItem5 = GUICtrlCreateMenuItem("˳(&X)", $hGameMenu)
$hMenuItem6 = GUICtrlCreateMenuItem("鿴(&V)", $hHelpMenu)
$hMenuItem7 = GUICtrlCreateMenuItem("", $hHelpMenu)
$hMenuItem8 = GUICtrlCreateMenuItem("ڶ˹(&A)", $hHelpMenu)
$hHelpWindow = 0

Initialize($hWindow)
GUISetState(@SW_SHOW)

While 1
	$iMsg = GUIGetMsg()
	Select
		Case $iMsg = $GUI_EVENT_CLOSE
			ExitLoop
		Case $iMsg = $hMenuItem1
			NewGame()
		Case $iMsg = $hMenuItem3
			ShowStatInfo()
		Case $iMsg = $hMenuItem5
			ExitLoop
		Case $iMsg = $hMenuItem6
			ShowHelp()
		Case $iMsg = $hMenuItem8
			ShowAbout()
	EndSelect
WEnd

Destroy()
GUIDelete()


Func NewGame()
	InitializeGameData()
	StartGame()
EndFunc


Func ShowStatInfo()
	OpenStatWindow()
EndFunc


Func ShowHelp()
	OpenHelpWindow()
EndFunc
 

Func ShowAbout()
	_WinAPI_AboutDlg(" ˹顱", "˹", _
			"˹Ȩ䷢плŵ Tetris Company LLC ˾С  ThornBird ", _
			_WinAPI_PrivateExtractIcon(@AutoItExe, 0, 32, 32), _
			$hWindow)
EndFunc


Func OpenStatWindow()
	Local $hStatWindow, $hTab, $hTab1, $hListView1, $hTab2, $hListView2, $iMessage
	$hStatWindow = GUICreate("ͳϢ", 500, 360, 105, 125, _
			BitOR($WS_CAPTION, $WS_POPUP, $WS_SYSMENU, $WS_CLIPSIBLINGS), -1, $hWindow)
	$hTab = GUICtrlCreateTab(10, 10, 480, 340)
	$hTab1 = GUICtrlCreateTabItem("Ϸ")
	$hListView1 = GUICtrlCreateListView("*|*|*|*|*|*", 25, 45, 450, 290)
	_GUICtrlListView_SetColumn($hListView1, 0, "", 38, 1)
	_GUICtrlListView_SetColumn($hListView1, 1, "", 80, 0)
	_GUICtrlListView_SetColumn($hListView1, 2, "÷", 60, 1)
	_GUICtrlListView_SetColumn($hListView1, 3, "", 60, 1)
	_GUICtrlListView_SetColumn($hListView1, 4, "ʱ", 75, 1)
	_GUICtrlListView_SetColumn($hListView1, 5, "ʱ", 115, 2)
	SetGameData($hListView1)
	$hTab2 = GUICtrlCreateTabItem("")
	$hListView2 = GUICtrlCreateListView("*|*|*|*|*|*", 25, 45, 450, 290)
	_GUICtrlListView_SetColumn($hListView2, 0, "", 40, 1)
	_GUICtrlListView_SetColumn($hListView2, 1, "", 90, 0)
	_GUICtrlListView_SetColumn($hListView2, 2, "ƽ", 65, 1)
	_GUICtrlListView_SetColumn($hListView2, 3, "ܷ", 65, 1)
	_GUICtrlListView_SetColumn($hListView2, 4, "", 65, 1)
	_GUICtrlListView_SetColumn($hListView2, 5, "ʱ", 120, 2)
	SetGameData2($hListView2)
	GUISetState(@SW_SHOW, $hStatWindow)
	GUISetState(@SW_DISABLE, $hWindow)
	While 1
		$iMessage = GUIGetMsg()
		If $iMessage = $GUI_EVENT_CLOSE Then
			ExitLoop
		EndIf
	WEnd
	GUISetState(@SW_ENABLE, $hWindow)
	GUIDelete($hStatWindow)
EndFunc


Func OpenHelpWindow()
	Local $hHelpWindow, $iMessage
	$hHelpWindow = GUICreate("˹", 400, 360, 105, 125, _
			BitOR($WS_CAPTION, $WS_POPUP, $WS_SYSMENU, $WS_CLIPSIBLINGS), -1, $hWindow)
	GUISetBkColor(0xFFFFFF, $hHelpWindow)
	GUICtrlCreatePic($TETRIS_HELP_FILENAME, 0, 0, 400, 360)
	GUISetState(@SW_SHOW, $hHelpWindow)
	GUISetState(@SW_DISABLE, $hWindow)
	While 1
		$iMessage = GUIGetMsg()
		If $iMessage = $GUI_EVENT_CLOSE Then
			ExitLoop
		EndIf
	WEnd
	GUISetState(@SW_ENABLE, $hWindow)
	GUIDelete($hHelpWindow)
EndFunc